/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "TGX", "index.html", [
    [ "About the library", "index.html#about", null ],
    [ "Getting started", "index.html#getting_started", null ],
    [ "References", "index.html#References", null ],
    [ "Installation.", "md_docs_intro_install.html", null ],
    [ "Basic concepts.", "md_docs_intro_basic.html", [
      [ "Colors types", "md_docs_intro_basic.html#autotoc_md2", [
        [ "blending and opacity parameter.", "md_docs_intro_basic.html#autotoc_md3", null ]
      ] ],
      [ "Image class, memory layout and sub-images", "md_docs_intro_basic.html#autotoc_md5", null ],
      [ "Vectors and Boxes", "md_docs_intro_basic.html#autotoc_md7", null ],
      [ "Storing image in .cpp files", "md_docs_intro_basic.html#autotoc_md9", null ],
      [ "Copying/converting images to different color types.", "md_docs_intro_basic.html#autotoc_md10", null ],
      [ "Drawing things on an images...", "md_docs_intro_basic.html#autotoc_md11", null ]
    ] ],
    [ "Using the 2D API.", "md_docs_intro_api_2_d.html", [
      [ "2D Drawing methods.", "md_docs_intro_api_2_d.html#sec_2Dprimitives", [
        [ "Filling the screen.", "md_docs_intro_api_2_d.html#subsec_filling", null ],
        [ "Reading/writing pixels", "md_docs_intro_api_2_d.html#subsec_rwpixels", null ],
        [ "Flood-filling a region", "md_docs_intro_api_2_d.html#subsec_floodfill", null ],
        [ "Blitting sprites", "md_docs_intro_api_2_d.html#subsec_blitting", null ],
        [ "drawing horizontal and vertical lines", "md_docs_intro_api_2_d.html#subsec_vhlines", null ],
        [ "drawing lines", "md_docs_intro_api_2_d.html#subsec_lines", null ],
        [ "drawing rectangles", "md_docs_intro_api_2_d.html#subsec_rect", null ],
        [ "drawing rounded rectangles", "md_docs_intro_api_2_d.html#subsec_roundrect", null ],
        [ "drawing triangles", "md_docs_intro_api_2_d.html#subsec_triangles", null ],
        [ "drawing triangles (advanced)", "md_docs_intro_api_2_d.html#subsec_triangles_advanced", null ],
        [ "drawing quads", "md_docs_intro_api_2_d.html#subsec_quads", null ],
        [ "drawing quads (advanced)", "md_docs_intro_api_2_d.html#subsec_quads_advanced", null ],
        [ "drawing polylines", "md_docs_intro_api_2_d.html#subsec_polylines", null ],
        [ "drawing polygons", "md_docs_intro_api_2_d.html#subsec_polygons", null ],
        [ "drawing circles", "md_docs_intro_api_2_d.html#subsec_circles", null ],
        [ "drawing ellipses", "md_docs_intro_api_2_d.html#subsec_ellipses", null ],
        [ "drawing circle arcs and pies", "md_docs_intro_api_2_d.html#subsec_arcpies", null ],
        [ "drawing Bezier curves", "md_docs_intro_api_2_d.html#subsec_bezier", null ],
        [ "drawing splines", "md_docs_intro_api_2_d.html#subsec_splines", null ],
        [ "drawing text", "md_docs_intro_api_2_d.html#subsec_text", null ]
      ] ],
      [ "TGX extensions via external librairies", "md_docs_intro_api_2_d.html#sec_extensions", [
        [ "drawing text with TrueType fonts", "md_docs_intro_api_2_d.html#subsec_openfontrender", null ],
        [ "drawing PNG images", "md_docs_intro_api_2_d.html#subsec_PNGdec", null ],
        [ "drawing JPEG images", "md_docs_intro_api_2_d.html#subsec_JPEGDEC", null ],
        [ "drawing GIF images", "md_docs_intro_api_2_d.html#subsec_AnimatedGIF", null ]
      ] ]
    ] ],
    [ "Using the 3D API.", "md_docs_intro_api_3_d.html", null ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"_box2_8h.html",
"_vec3_8h.html#a668a9607676b928624972ced875028e9",
"classtgx_1_1_renderer3_d.html#a76fa32770476cd15f717d3f103fd752d",
"structtgx_1_1_box2.html#a194303806a678a2e26fe1a9a222504ba",
"structtgx_1_1_r_g_b32.html#a645458518cb06f690569f5cc592bdf5d",
"structtgx_1_1_vec3.html#aab1de305033b31a96a115d3eaeed1aa5"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';